{% extends "@Admin/_layout.twig" %}{#MASTER_TEMPLETE#}
{% block content %}
    <h3 class="page-header">
        {{ roleData.role_type }}
    </h3>
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    Total User [ {{ totalRecords }} ]
                    <a href="{{ urlFor('user-grid') }}" style="float:right;" class=" btn btn- btn-outline  btn-xs">
                        <i class="fa fa-refresh">
                        </i>&nbsp;Refresh
                    </a>
                </div>
                <!-- /.panel-heading -->
                <div class="panel-body">
                    <div class="table-responsive">
                            <span class="errMsg">{{ errMsg }}</span>
                            <br/>

                            <span class="succMsg">{{ succMsg }}</span>
                            <br/>
                        <div class="row col-xs-4">
                            <form action="{{ urlFor('user-grid') }}" method="POST">
                                <div class="form-group input-group">
                                    <input type="text" name="q" class="form-control" placeholder="First and Last Name"
                                           required/>
                                <span class="input-group-btn">
                                    <button type="submit" class="btn btn-warning" type="button">
                                        <i class="fa fa-search">
                                        </i>
                                        Search
                                    </button>
                                </span>
                                </div>
                            </form>
                        </div>
                        <form action="{{ urlFor('user-delete') }}" method="POST">
                            <div class="left-grid-action">
                                <!--<div class="btn-group">
                                          <a class="btn btn-primary" href="#"><i class="fa fa-user fa-fw"></i> User</a>
                                          <a class="btn btn-primary dropdown-toggle" data-toggle="dropdown" href="#">
                                                <span class="fa fa-caret-down"></span></a>
                                          <ul class="dropdown-menu">
                                                <li><a href="#"><i class="fa fa-pencil fa-fw"></i> Edit</a></li>
                                                <li><a href="#"><i class="fa fa-trash-o fa-fw"></i> Delete</a></li>
                                                <li><a href="#"><i class="fa fa-ban fa-fw"></i> Ban</a></li>
                                                <li class="divider"></li>
                                                <li><a href="#"><i class="i"></i> Make admin</a></li>
                                          </ul>
                                        </div>-->
                                <a href="{{ urlFor('user-add') }}" class="btn btn-xs btn-success btn-outline">
                                    <i class="fa fa-plus">
                                        &nbsp;
                                    </i>Add user
                                </a>&nbsp;&nbsp;
                                <button type="submit" class="btn btn-xs btn-danger btn-outline"
                                        onclick=" return confirm('Are You Sure To Delete Permanentaly')">
                                    <i class="fa fa-trash-o">
                                    </i>&nbsp;Delete
                                </button>
                            </div>
                            <div class="clear"></div>
                            <table class="table table-striped table-bordered table-hover" id="dataTables-example">
                                <thead>
                                <tr class="label-primary text-white">
                                    <th>
                                        ID
                                    </th>
                                    <th>
                                        Image
                                    </th>
                                    <th>
                                        Name
                                    </th>
                                    <th>
                                        Role
                                    </th>
                                    <th>
                                        Created Date
                                    </th>
                                    <th>
                                        Status
                                    </th>
                                    <th>
                                        Edit
                                    </th>
                                    <th>
                                        View
                                    </th>
                                    <th>
                                        <div class="checkbox">
                                            <label>
                                                <input type="checkbox" onchange="checkAll(this, 'toDelete[]')">Check
                                            </label>
                                        </div>
                                    </th>
                                </tr>
                                </thead>
                                <tbody>
                                {% if results|length >0 %}
                                {% for key,row in results %}
                                    <tr>
                                        <td>
                                            {{ key+1 }}
                                        </td>
                                        <td>
                                            {% if row.image %}
                                                <a href="{{ AssetUri }}/{{ row.image }}"
                                                   class="highslide" onclick="return hs.expand(this)">
                                                    <img src="{{ AssetUri }}/Asset/thumb/thumb.php?src={{ AssetUri }}/{{ row.image }}&w=65&h=40"/>
                                                </a>
                                            {% else %}
                                                <img src="{{ AssetUri }}/Asset/thumb/thumb.php?src={{ AssetUri }}/Asset/Admin/images/no_image.png&w=65&h=40"/>
                                            {% endif %}
                                        </td>
                                        <td>
                                            {{ row.first_name }} &nbsp; {{ row.last_name }}
                                        </td>
                                        <td>
                                            {{ row.role  }}
                                        </td>
                                        <td>
                                            {{ relative_date(row.created_at) }}
                                        </td>

                                        <td>
                                            {% if row.status == 1 %}
                                                <a href="{{ urlFor('user-status') }}?id={{ encode(row.id) }}&p={{ page }}">
                                                    <img src="{{ Asset('/Asset/Admin/images/on.png')}}"/>
                                                </a>
                                            {% else %}
                                                <a href="{{ urlFor('user-status') }}?id={{ encode(row.id) }}&p={{ page }}">
                                                    <img src="{{ Asset('/Asset/Admin/images/off.png')}}"/>
                                                </a>
                                            {% endif %}
                                        </td>

                                        <td>
                                            <a href="{{ urlFor('user-edit') }}/{{ encode(row.id) }}/{{ page }}"
                                               class="btn btn-success span2 btn-xs">
                                                <i class="fa fa-pencil">
                                                </i>&nbsp;Edit
                                            </a>
                                        </td>
                                        <td>
                                            <a href="{{ urlFor('user-details') }}/{{ encode(row.id) }}/{{ page }}" class="btn btn-info span2 btn-xs"><i class="fa fa-eye">
                                                </i>&nbsp;View
                                            </a>
                                        </td>
                                        <td>
                                            <div class="checkbox">
                                                <label>
                                                    <input type="checkbox" value="{{ encode(row.id) }}"
                                                           name="toDelete[]">
                                                </label>
                                            </div>
                                        </td>
                                    </tr>
                                {% endfor %}
                                <tfoot>
                                <td colspan="9">
                                    {{ pagination|raw }}
                                </td>
                                </tfoot>
                                {% else %}
                                    <td colspan="9" class="errMsg"> No Result Found Try Again</td>
                                {% endif %}
                                </tbody>
                            </table>
                        </form>
                    </div>
                    <!-- /.table-responsive -->
                </div>
                <!-- /.panel-body -->
            </div>
            <!-- /.panel -->
        </div>
        <!-- /.col-lg-6 -->
    </div>
{% endblock %}